#ifndef _TESTLFONHSGPERSISTENT_H
#define _TESTLFONHSGPERSISTENT_H

#include <cppunit/extensions/HelperMacros.h>

#include <vislearning/features/localfeatures/LFonHSG.h>
#include <vislearning/features/localfeatures/GenericLFSelection.h>

/**
 * CppUnit-Testcase. 
 * @brief CppUnit-Testcase to create a LFonHSG-Wrapper around an LocalFeature-object. Checks whether this is storable and restorable again.
 * @author Alexander Freytag
 * @date 12-02-2014 ( dd-mm-yyyy )
 */
class TestLFonHSGPersistent : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestLFonHSGPersistent );
         CPPUNIT_TEST(testPersistentMethodsForLFonHSG);
      
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();


    void testPersistentMethodsForLFonHSG();
};

#endif // _TESTLFONHSGPERSISTENT_H
